GET /deployments/{deployment_id}/tags

Returns the tags for a Deployment.

Path parameters

  • deployment_id string Required

    Identifier for the Deployment

Responses

  • 200 application/json

    The deployment tags were successfully returned

    Hide response attribute Show response attribute object
    • tags array[object]

      Arbitrary user-defined metadata associated with this deployment

      Hide tags attributes Show tags attributes object

      The key-value pair.

      • key string Required

        The metadata field name

      • value string Required

        The metadata value

  • 404 application/json

    The Deployment specified by {deployment_id} cannot be found. (code: deployments.deployment_not_found)

    Hide headers attribute Show headers attribute
    • x-cloud-error-codes string

      The error codes associated with the response

      Value is deployments.deployment_not_found.

    Hide response attribute Show response attribute object
    • errors array[object] Required

      A list of errors that occurred in the failing request

      Hide errors attributes Show errors attributes object
      • code string Required

        A structured code representing the error type that occurred

      • message string Required

        A human readable message describing the error that occurred

      • fields array[string]

        If the error can be tied to a specific field or fields in the user request, this lists those fields

GET /deployments/{deployment_id}/tags
curl \
 --request GET 'https://api.elastic-cloud.com/api/v1/deployments/{deployment_id}/tags'